Name:           wvdial
Version:        1.61
Release:        %mkrel 4
Summary:        A heuristic autodialer for PPP connections
Epoch:          1
License:        LGPLv2+
Group:          System/Networking
# No valid URL
#Url:        http://alumnit.ca/wiki/index.php?page=WvDial
Source0:        http://wvstreams.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         wvdial-1.56-bad_analyse.patch
Patch1:         wvdial-1.56-remotename.patch
Requires:       ppp
Buildrequires:  wvstreams-devel

%description
WvDial automatically locates and configures modems and can log into
almost any ISP's server without special configuration. You need to
input the username, password, and phone number, and then WvDial will
negotiate the PPP connection using any mechanism needed.
Install wvdial if you need a utility to configure your modem and set
up a PPP connection.


%prep
%setup -q
%patch0 -p1 -b .bad_analyse
%patch1 -p1 -b .remotename

%build
./configure
make "VERBOSE=1"

%install
make install \
        PREFIX=%{buildroot}%{_prefix} \
        BINDIR=%{buildroot}%{_bindir} \
        MANDIR=%{buildroot}%{_mandir} \
        PPPDIR=%{buildroot}%{_sysconfdir}/ppp/peers
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d

%files
%doc CHANGES COPYING.LIB FAQ MENUS README TODO
%attr(4755,root,root) %{_bindir}/%{name}
%attr(0755,root,root) %{_bindir}/%{name}conf
%attr(0644,root,root) %{_mandir}/man1/*
%attr(0644,root,root) %{_mandir}/man5/*
%attr(0644,root,daemon) %config(noreplace) %{_sysconfdir}/ppp/peers/%{name}
%attr(0644,root,daemon) %config(noreplace) %{_sysconfdir}/ppp/peers/%{name}-pipe


%changelog

* Tue Jan 22 2013 fwang <fwang> 1:1.61-4.mga3
+ Revision: 390935
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 1:1.61-3.mga3
+ Revision: 385890
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 21 2012 kamil <kamil> 1:1.61-2.mga2
+ Revision: 199289
- remove URL value - there is no more working web-site (mga#3035)
- clean .spec

* Mon Apr 25 2011 shikamaru <shikamaru> 1:1.61-1.mga1
+ Revision: 90201
- Clean spec (reorder tags, kill buildroot, retab)
- imported package wvdial

